#include <stdio.h>
#include <wiringPi.h>

int KEY_BUF;

int key()
{
    int buf;
    int ret;

    delay(10);		// 10msウェイト
    buf = digitalRead(5);
    ret = KEY_BUF && !buf;
    KEY_BUF = buf;
    return(ret);	// 真(0)なら押下
}


main()
{
    int i=0;

    // ポートのセットアップ
    wiringPiSetup();
    pinMode(5, INPUT);	// GPIO18
    pullUpDnControl(5, PUD_UP);

    KEY_BUF = 1;	// キーバッファのクリア

    while(1) {
	if (key()) {
	    i++;
	    printf("%d\n",i);
	}
    }
}

